Skip to content
Start here

Get details for a specific traceroute test run

zero_trust.dex.traceroute_test_results.network_path.get(strtest_result_id, NetworkPathGetParams**kwargs) -> NetworkPathGetResponse
GET/accounts/{account_id}/dex/traceroute-test-results/{test_result_id}/network-path

Get a breakdown of hops and performance metrics for a specific traceroute test run

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
ParametersExpand Collapse
account_id: str
maxLength32
test_result_id: str

API Resource UUID tag.

maxLength36
ReturnsExpand Collapse
class NetworkPathGetResponse:
hops: List[Hop]

an array of the hops taken by the device to reach the end destination

ttl: int
asn: Optional[int]
aso: Optional[str]
ip_address: Optional[str]
location: Optional[HopLocation]
city: Optional[str]
state: Optional[str]
zip: Optional[str]
mile: Optional[Literal["client-to-app", "client-to-cf-egress", "client-to-cf-ingress", "client-to-isp"]]
One of the following:
"client-to-app"
"client-to-cf-egress"
"client-to-cf-ingress"
"client-to-isp"
name: Optional[str]
packet_loss_pct: Optional[float]
formatfloat
rtt_ms: Optional[int]
result_id: str

API Resource UUID tag.

maxLength36
device_name: Optional[str]

name of the device associated with this network path response

test_id: Optional[str]

API Resource UUID tag.

maxLength36
test_name: Optional[str]

name of the tracroute test

Get details for a specific traceroute test run

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
network_path = client.zero_trust.dex.traceroute_test_results.network_path.get(
    test_result_id="f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    account_id="01a7362d577a6c3019a474fd6f485823",
)
print(network_path.hops)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "hops": [
      {
        "ttl": 0,
        "asn": 0,
        "aso": "aso",
        "ipAddress": "ipAddress",
        "location": {
          "city": "city",
          "state": "state",
          "zip": "zip"
        },
        "mile": "client-to-app",
        "name": "name",
        "packetLossPct": 0,
        "rttMs": 0
      }
    ],
    "resultId": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "deviceName": "deviceName",
    "testId": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "testName": "testName"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "hops": [
      {
        "ttl": 0,
        "asn": 0,
        "aso": "aso",
        "ipAddress": "ipAddress",
        "location": {
          "city": "city",
          "state": "state",
          "zip": "zip"
        },
        "mile": "client-to-app",
        "name": "name",
        "packetLossPct": 0,
        "rttMs": 0
      }
    ],
    "resultId": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "deviceName": "deviceName",
    "testId": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "testName": "testName"
  }
}